unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ComCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    TrackBar1: TTrackBar;
    TrackBar2: TTrackBar;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);

  private
   R : TRect;
   MyTextStyle : TTextStyle;
   L,T : integer;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
 R := rect(20,50,120,80);
 L:=0; T:=0;
 MyTextStyle.Layout   := tlCenter;
 MyTextStyle.Alignment:= taCenter;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 MyTextStyle.Layout   := tlTop;
 Invalidate;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 MyTextStyle.Layout   := tlCenter;
 Invalidate;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 MyTextStyle.Layout   := tlBottom;
 Invalidate;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
 MyTextStyle.Alignment:= taLeftJustify;
 Invalidate;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
 MyTextStyle.Alignment:= taCenter;
 Invalidate;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
 MyTextStyle.Alignment:= taRightJustify;
 Invalidate;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  L:= Trackbar1.Position;
  Invalidate;
end;

procedure TForm1.TrackBar2Change(Sender: TObject);
begin
 T:= Trackbar2.Position;
 Invalidate;
end;


procedure TForm1.FormPaint(Sender: TObject);
begin
 with canvas do
  begin
   brush.Color:= clWhite;
   rectangle(R);

   TextRect(R,L,T,'Ausgabe',MyTextStyle);
  end;
end;

end.

